<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="article">
      <h2 data-cy="articleDetailsHeading"><span jhiTranslate="jokegeneratorApp.article.detail.title">Article</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ article.id }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.article.name">Name</span></dt>
        <dd>
          <span>{{ article.name }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.article.price">Price</span></dt>
        <dd>
          <span>{{ article.price }}</span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/article', article.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
